#ifndef RODENT_GRIDVIEW_H
#define RODENT_GRIDVIEW_H
void
rodent_huge_iconsize (GtkButton * button, gpointer data);

void
rodent_big_iconsize (GtkButton * button, gpointer data);

void
rodent_normal_iconsize (GtkButton * button, gpointer data);

void
rodent_details_iconsize (GtkButton * button, gpointer data);

void
rodent_compact_iconsize (GtkButton * button, gpointer data);

void  
rodent_size_scale (GtkRange *range,  gpointer  data);

void
rodent_default_iconsize (GtkButton * button, gpointer data);

void
rodent_default_iconsize_all (GtkButton * button, gpointer data);

void
rodent_increase_iconsize (GtkButton * button, gpointer data);

void
rodent_decrease_iconsize (GtkButton * button, gpointer data);

void 
rodent_new_gridview(widgets_t *widgets_p, const gchar *in_path);

view_t *
rodent_get_current_view ( GtkWidget * window);

int 
rodent_text_color(population_t *population_p);

view_geometry_t *
rodent_get_view_geometry_p (view_t * view_p);

void
  rodent_save_root_view_geometry_p (view_t * view_p);

void
  rodent_save_local_view_geometry_p (view_t * view_p);

void
  rodent_set_scroll (view_t * view_p, double scroll_position);

void
  rodent_set_scroll_position (view_t * view_p);

void
  rodent_restore_view_size (view_t * view_p);

void
  rodent_init_grid (view_t * view_p, int pathc);

gboolean 
rodent_on_size (view_t * view_p, int width, int height);

#endif
