//
//

static void
apply_window_size (view_t * view_p, int w, int h) {
    TRACE (">> apply_window_size\n");
    /* this causes sporadic crashes.
     * is it really necessary?
     * let's put gdk_display_sync before gdk_flush
     * and see what happens... 
     * crashes just as well...
    gdk_display_sync (gdk_display_get_default ());
    gdk_flush ();*/
    
    rodent_on_size (view_p, w, h);

    view_p->view_layout.paperY = view_p->view_layout.grid_rows * CELLHEIGHT(view_p);

    TRACE
        ("graphics_apply_window_size:: gdk_window_resize(paperX,Y=%d,%d) grid_rows=%d, grid_cols=%d (%s)\n",
         view_p->view_layout.paperX, view_p->view_layout.paperY, view_p->view_layout.grid_rows,
         view_p->view_layout.grid_columns, ((view_p->en && view_p->en->path) ? view_p->en->path : "null"));

    gtk_widget_set_size_request (view_p->widgets.paper, view_p->view_layout.paperX, view_p->view_layout.paperY);

    TRACE ("PAPER gtk_widget_set_size_request to %d, %d = %d\n",
         view_p->view_layout.paperX, view_p->view_layout.paperY, view_p->view_layout.paperX * view_p->view_layout.paperY);

    TRACE ("graphics_apply_window_size: scroll position=%lf\n",
           gtk_adjustment_get_value (gtk_scrolled_window_get_vadjustment (view_p->widgets.scrolled_window)));
    //DBG("not doing gdk_flush && gdk_display_sync...\n");
    gdk_flush ();
    gdk_display_sync (gdk_display_get_default ());
    TRACE ("PAPER set to... w*h=area...%d x %d = %d\n",
           view_p->widgets.paper->allocation.width,
           view_p->widgets.paper->allocation.height,
           view_p->widgets.paper->allocation.width * view_p->widgets.paper->allocation.height);
    TRACE ("graphics_apply_window_size: graphics_apply_window_size:: done\n");
}


